Work at SourceForge, help us to make it a better place! We have an immediate need for a Support Technician in our San Francisco or Denver office.

Close

Problem with users after update to svn 4.3

Help
A. S.
2012-10-15
2013-05-30
  • A. S.
    A. S.
    2012-10-15

    In order to solve a problem with my media I updated my PHPGedview to the latest SVN.
    The problems with media are solved now by asking the provider to change _ open_basedir_ to set to off.

    However I have a problem now with my users they are all set to English and are not at all changeable.
    How to solve this issue, please help.

     
  • A. S.
    A. S.
    2012-10-15

    Sorry image doesn't work well, so here is a copy/paste from the userlist

    User List

    Add a new user Back to User Administration
    Send Message Full Name User name Languages Privileges Date registered Last logged in User verified himself User approved by Admin Delete
    Send Message ‎ mathmeisters English
    1 January 1970 - 1:00:00am 1 January 1970 - 1:00:00am
    ‎(42 years, 9 months, 28 days ago‎) No No Delete
    Send Message ‎ witte English
    1 January 1970 - 1:00:00am 1 January 1970 - 1:00:00am
    ‎(42 years, 9 months, 28 days ago‎) No No Delete
    Send Message ‎ Dootjuh English
    1 January 1970 - 1:00:00am 1 January 1970 - 1:00:00am
    ‎(42 years, 9 months, 28 days ago‎) No No Delete
    Send Message ‎ Deesso English
    1 January 1970 - 1:00:00am 1 January 1970 - 1:00:00am
    ‎(42 years, 9 months, 28 days ago‎) No No Delete
    Send Message ‎ Devanza English
    1 January 1970 - 1:00:00am 1 January 1970 - 1:00:00am
    ‎(42 years, 9 months, 28 days ago‎) No No Delete

     
  • Gerry Kroll
    Gerry Kroll
    2012-10-15

    Is your site configured to support languages other than English?  It looks as if you didn't follow the upgrade instructions in the Help topic about downloading the "SVN" version.

    You can only set users' language preferences to languages that your site is configured to support.

    You can configure supported languages by logging in as Admin, then on the Admin menu, select the "Configure supported languages" option.  Put a checkmark into the "Active" boxes of the languages you want to make active.

     
  • A. S.
    A. S.
    2012-10-15

    OK I'll try, but have also another problem, my useraccount is not available anymore. Probably due to the same problem.
    How can I make a new superuser??

     
  • Gerry Kroll
    Gerry Kroll
    2012-10-15

    How did you get that user list you reproduced above?

    I notice that the date of registration is wrong, and that none of the users show as having verified themselves or being approved by the admin.  This will certainly cause problems.

    Instead of trying to fix these problems one-by-one, the best approach would be to restore the previous 4.2.3 installation and the database that you should have backed up before you started.  Once the 4.2.3 site is working again, follow the upgrade instructions in the Help post exactly.

     
  • A. S.
    A. S.
    2012-10-21

    I got 4.2.3. working again, I update to SVN following the instructions but was not able to login.
    In the 4.2.3. version I changed the admin to my own name and my own password and in the Dutch language.
    Also created a new account in English being a full admin.
    Both names are at login in SVN not authenticated.
    What am I doing wrong?

     
  • Stephen Arnold
    Stephen Arnold
    2012-10-22

    First, what is the collation on your DB? It should be UTF-8 Unicode
    Second, you'll not receive much support using ancient software. You should, at the least, move to the SVN download, or perhaps consider using the PGV => webtrees wizard and move your site to a much newer project.
    Third, did you try to use the Request a replacement Password function? The system should send you a new one that will allow access.
    -Stephen

     
  • Gerry Kroll
    Gerry Kroll
    2012-10-22

    When you manually create a new userid, you must not forget to put a tickmark into the box "Approved by Admin".

    Without this Admin approval, which is required even when the Admin created that userid, the new user will not be able to log in.

     
  • A. S.
    A. S.
    2012-10-22

    @okbigkid: 1) The collation is utf-8 unicode-ci
                         2) I did download SVN and tried to upgrade. First I got my users be not authenticated so I could not login.
                          Restored 4.2.3. this works fine, then again try to upgrade using the exact procedure, but still not able to login
                          for  some reason. So for now back to 4.2.3. again.
                          3) I used the request method not yet. Try this later tonight.

    @canajun2eh: Both admin accounts are tickmarked with the right settings.

     
  • A. S.
    A. S.
    2012-10-22

    @okbigkid: sorry forgot to ask about Webtrees. Will this be the substitute for phpGedView?? So phpGedview is no longer supported??

     
  • Stephen Arnold
    Stephen Arnold
    2012-10-22

    There are many discussions here about what has and is happening with PGV. To quickly summarize, support is provided by one excellent developer, Gerry, and the most experienced users that remain with this project. Other than an occasional bug fix and corrections for misspellings, even Gerry would admit that the project is not under active development. It remains an excellent program that is extremely stable, but in the fast-changing field of computer code, it is quickly becoming a bit "long in the tooth", kind of like someone who wants to stick to WIN XP – soon, somethings simply won't work.

    webtrees is a nearly three year old fork of PGV. The project team is lead by Greg Roach, who performed a similar role for several years with PGV. He and some like-minded PGV users and coders spun off the project to resolve some geographic and policy development restrictions, but also to take it to a completely database-driven and retained set of code, optimized for SQL and to remove a few extras that, in our opinion, had plagued PGV.  On 20 OCT 2012, we released yet another new version, 1.3.2. New releases occur every 6-8 weeks and upgrading is easy and always recommended. The project can be reviewed at its web home, http://www.webtrees.net and we provide two demo versions (stable and SVN). The next release will contain some substantial media-handling changes in preparation for a required use of PHP v5.3 (prefer v5.4) sometime in 2013, but the current release requires only PHP v5.2.10 or better.

    Many PGV users have moved, and we are delighted. We provide a nondestructive wizard to transfer all your PGV data, users, news and messages in a painless manner and many of those that do move find the project quite rewarding.  webtrees can handle a database of over 100,000 INDIs quite well - simply see my site, http://www.MyArnolds.com

    You, like some others here, may decide to stay with PGV and of course, that is your decision. Until someone volunteers and develops a team, there is little promise of any major changes or improvements to PGV and some portions will become obsolete if your host updates their software. For instance, PHP v5.2 was deprecated in JAN 2012 and newer versions not only solve many bugs, but patch important security holes.
    -Stephen

     
  • Gerry Kroll
    Gerry Kroll
    2012-10-22

    Fireman2:
    Your best solution would probably be to convert to Webtrees.

    If you wish to continue with PhpGedView, please e-mail me.  gkroll at keldine dot ca

     
  • A. S.
    A. S.
    2012-10-22

    @okbigkid: If I'm reading it right I need another database by using Webtrees. When install is complete I can import my gedcom for Gedview

     
  • Stephen Arnold
    Stephen Arnold
    2012-10-23

    You may contact me offline or visit the webtrees.net site and review the installation procedure. It would be more appropriate as I am not attempting to evangelize here.
    No, you don't need a 2nd DB, the PGV DB will be fine and you will end up with a different table prefix. Personally, I prefer a separate DB, but depending upon your hosting options, your choices may be limited.
    -Stephen